# Textbuf Struct Reference

## Data Fields
char * | buf
| buffer in which text is saved
uint16 | maxsize
uint16 | maxwidth
| the maximum size of the buffer. Maxwidth specifies screensize in pixels, maxsize is in bytes (including terminating '')
uint16 | size
uint16 | width
| the current size of the string. Width specifies screensize in pixels, size is in bytes
bool | caret
| is the caret ("_") visible or not
uint16 | caretpos
| the current position of the caret in the buffer, in bytes
uint16 | caretxoffs
| the current position of the caret in pixels

## Detailed Description

Definition at line 20 of file textbuf_gui.h.

The documentation for this struct was generated from the following file:

- src/textbuf_gui.h